// Landscape_Main.cpp
// -------------------
//
// Copyright (c) 2000 Symbian Ltd.  All rights reserved.
//

////////////////////////////////////////////////////////////////////////
//
// Landscape 
// ----------
//
//
// Activate landscape mode on Motorola a1000 UIQ phone to use with
// Opera 7.50 browser.
// 
// The example includes code for displaying a very simple menu.
//
// --------------------------------------------------------------------- 
//
// This source file contains the single exported function required by 
// all UI applications and the E32Dll function which is also required
// but is not used here.
//
////////////////////////////////////////////////////////////////////////


#include "Landscape.h"

//             The entry point for the application code. It creates
//             an instance of the CApaApplication derived
//             class, CExampleApplication.
//
EXPORT_C CApaApplication* NewApplication()
	{
	return new CExampleApplication;
	}

//             This function is required by all EPOC32 DLLs. In this 
//             example, it does nothing.
//
GLDEF_C TInt E32Dll(TDllReason)
	{
	return KErrNone;
	}

